Skip to main content
GET
/
manifests
/
{ManifestId}
cURL
curl https://api.goshippo.com/manifests/0fadebf6f60c4aca95fa01bcc59c79ae \
-H "Authorization: ShippoToken <API_TOKEN>"
{
  "carrier_account": "adcfdddf8ec64b84ad22772bce3ea37a",
  "shipment_date": "2014-05-16T23:59:59Z",
  "address_from": "d799c2679e644279b59fe661ac8fa488",
  "documents": [
    "https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
  ],
  "object_created": "2023-11-07T05:31:56Z",
  "object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
  "object_owner": "shippotle@shippo.com",
  "object_updated": "2023-11-07T05:31:56Z",
  "status": "SUCCESS",
  "transactions": [
    "adcfdddf8ec64b84ad22772bce3ea37a"
  ],
  "errors": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Path Parameters

ManifestId
string
required

Object ID of the manifest to update

Response

Manifest

carrier_account
string
required

ID of carrier account

Example:

"adcfdddf8ec64b84ad22772bce3ea37a"

shipment_date
string
required

All shipments to be submitted on this day will be closed out. Must be in the format 2014-01-18T00:35:03.463Z (ISO 8601 date).

Example:

"2014-05-16T23:59:59Z"

address_from
string
required

ID of the Address object that should be used as pickup address for the scan form. The USPS will validate this address before creating the scan form.

Example:

"d799c2679e644279b59fe661ac8fa488"

documents
string[]
required

An array containing the URLs to all returned manifest documents.

Example:
[
"https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
]
object_created
string<date-time>
required

Date and time of object creation.

object_id
string
required

Unique identifier of the given object.

Example:

"adcfdddf8ec64b84ad22772bce3ea37a"

object_owner
string
required

Username of the user who created the object.

Example:

"shippotle@shippo.com"

object_updated
string<date-time>
required

Date and time of last object update.

status
enum<string>
required

Indicates the status of the manifest.

Available options:
QUEUED,
SUCCESS,
ERROR
Example:

"SUCCESS"

transactions
string[]

IDs transactions to use. If you set this to null or not send this parameter, Shippo will automatically assign all applicable transactions.

Example:
["adcfdddf8ec64b84ad22772bce3ea37a"]
errors
string[]

An array of codes and messages describing the error that occurred if any.